import { IPipeline, IStage } from '../../../../domain';
import { IStageForSpelPreview } from '../../../../presentation';
export interface IExecutionAndStagePickerProps {
    pipeline: IPipeline;
    pipelineStage: IStage;
    onChange(chosenExecutionAndStage: IStageForSpelPreview): void;
}
export declare function ExecutionAndStagePicker(props: IExecutionAndStagePickerProps): JSX.Element;
